
QGIS Application - Bug report #21160

Protocol - two by geojson

2019-02-04 10:25 AM - Phil Wyatt

Status: Closed

Priority: Normal

Assignee: Richard Duivenvoorde

Category: GUI

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28978

Description

When adding a file by geojson protocol I noticed geojson listed twice in the dropdown Pic attached). Is there some difference? Should one

be removed?

Associated revisions

Revision 7757ffc5 - 2019-03-11 12:55 AM - Richard Duivenvoorde

Fix #21160: fix geojson in protocol and file twice

GDAL/OGR has two geojson related drivers now: GeoJSON and

GeoJSONSeq, see https://www.gdal.org/drv_geojsonseq.html

This commit makes it possible to open GeoJSONSeq (geojsonl and

geojsons and json) files as protocols/streams. And write them

as *.json.

History

#1 - 2019-02-04 10:48 AM - Giovanni Manghi

- Category changed from Vectors to GUI

#2 - 2019-02-06 11:52 PM - Richard Duivenvoorde

Confirmed here on Linux too

#3 - 2019-02-07 11:22 AM - Giovanni Manghi

- Operating System deleted (Windows 10)

#4 - 2019-02-08 11:09 AM - Richard Duivenvoorde

- Pull Request or Patch supplied changed from No to Yes

- Easy fix? changed from No to Yes

- Assignee set to Richard Duivenvoorde

I had a look, and it seems that there is a 'newer' geojson format provided by OGR: 

https://www.gdal.org/drv_geojsonseq.html

These are geojson files where every features is separated with a newline character, to make it possible to send/write/read features sequentially.  Having

file extension .geojsonl or .geojsons
Seems like an easy fix. Will provide a PR today

#5 - 2019-02-08 12:49 PM - Richard Duivenvoorde

See: https://github.com/qgis/QGIS/pull/9138 for geojsonseq examples or to test

#6 - 2019-03-11 12:55 AM - Richard Duivenvoorde

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7757ffc5dd232b1be240984734e44282f390588a.
